Page MenuHomePhabricator

Switch over to Fortnox Tid
Closed, ResolvedPublic

Description

In September we are switching over to Fortnox Tid.

  • Send out an initial e-mail informing co-wokers of the switch and the inability to register September time in the old system
  • Cancel the unneeded licenses before 2020-08-30 (@Jopparn)
  • Send a reminder about prompt time registering
  • Register and approve all August times
  • Buy license for Fortnox Tid
  • Assign Tid and unassign Tidsregistrering
  • Test Tid and document any changes to workflows etc / identify continued need for hacks
  • Share workflows with co-workers / implement needed hacks
  • Look into automatic flextid

Event Timeline

  • Send out an initial e-mail informing co-wokers of the switch and the inability to register September time in the old system

Written and scheduled for 2020-08-19

Lokal_Profil updated the task description. (Show Details)Aug 19 2020, 5:51 AM
Jopparn moved this task from Backlog to This week on the User-Jopparn board.Aug 28 2020, 7:50 AM
Jopparn updated the task description. (Show Details)Sep 3 2020, 1:38 PM
Lokal_Profil updated the task description. (Show Details)Sep 21 2020, 1:48 PM

Test Tid and document any changes to workflows etc / identify continued need for hacks

A first test done and the results have been sent to Opad for a look-over.

I checked with Fortnox support about a couple of issues. Initial notes have been taken here

Once Opad confirms results are as expected a second test (with a wrong input) will be done.

Note that the Greasmoneky script will need to be updated as the new module has the same problem that only IDs, not names are shown for kostnadsställe.

One remaining check-in with Opad about automatic support for flextid and finally correcting the Arbetsschema to include all arbetsfria dagar.

Also one call/complaint to Fortnox support about how all Kund being selectable for billing through time registering has GDPR implications.

Lokal_Profil updated the task description. (Show Details)Oct 8 2020, 7:20 AM
Jopparn moved this task from This week to Done on the User-Jopparn board.Oct 9 2020, 7:53 AM
Lokal_Profil closed this task as Resolved.Oct 23 2020, 8:15 AM
Lokal_Profil claimed this task.
Lokal_Profil moved this task from 📆 This week to ☑️ Done on the User-LokalProfil board.

We will run with automatic support for flextid. Arbetstidsschema will be updated at the start of the year T266313.

Fortnox issue handled in T265343